/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package fr.gouv.finances.cp.xemelios.plugin.generatorPesPjs;

import fr.gouv.finances.cp.utils.Pair;

/**
 *
 * @author jp.tessier
 */
public class RefCompta {
    private String domaine,codeProduit,idTiers;
    private Pair typePiece;
    private Integer exercice,numPiece,numLignePiece;
    
    public RefCompta (String dom,Integer exer,Pair typepce,Integer numpce,Integer numlignepce,String codprod,String idtiers){
        domaine=dom;
        exercice=exer;
        typePiece=typepce;
        numPiece=numpce;
        numLignePiece=numlignepce;
        codeProduit=codprod;
        idTiers=idtiers;
    }

    public String getDomaine() {
        return domaine;
    }

    public Pair getTypePiece() {
        return typePiece;
    }

    public String getCodeProduit() {
        return codeProduit;
    }

    public String getIdTiers() {
        return idTiers;
    }

    public Integer getExercice() {
        return exercice;
    }

    public Integer getNumPiece() {
        return numPiece;
    }

    public Integer getNumLignePiece() {
        return numLignePiece;
    }
    
    public void modifRefCompta(String dom,Integer exer,Pair typepce,Integer numpce,Integer numlignepce,String codprod,String idtiers){
        domaine=dom;
        exercice=exer;
        typePiece=typepce;
        numPiece=numpce;
        numLignePiece=numlignepce;
        codeProduit=codprod;
        idTiers=idtiers;
    }
}
